﻿//
// WpfCSarp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System.ComponentModel;

namespace WpfCSharp
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private bool _isReadOnly;

        public MainWindowViewModel ()
        {
            this.IsReadOnly = true;
        }

        /// <summary>
        /// ComboBoxに表示するデータ
        /// </summary>
        public string[] ComboBoxDataList
        {
            get
            {
                return new string[3] { "Data1", "Data2", "Data3" };
            }
        }

        /// <summary>
        /// ComboBoxのIsReadOnlyとバインド
        /// </summary>
        public bool IsReadOnly
        {
            get
            {
                return _isReadOnly;
            }
            set
            {
                _isReadOnly = value;
                // プロパティ変更通知
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(IsReadOnly)));
            }
        }

        #region INotifyPropertyChangedの実装
        public event PropertyChangedEventHandler PropertyChanged;
        #endregion
    }
}
